List manually uploaded videos
curl --request GET \
--url https://backend.tensorpix.ai/api/videos/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/videos/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/videos/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 123,
"name": "<string>",
"width": 123,
"height": 123,
"created_at": "2023-11-07T05:31:56Z",
"n_frames": 123,
"framerate": 123,
"size": 123,
"owner": "jsmith@example.com",
"thumbnail": "<string>",
"external_url": "<string>",
"bitrate": 123,
"codec_id": "<string>",
"bit_depth": 123,
"chroma_subsampling": "<string>",
"color_space": "<string>",
"file": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}videos
List manually uploaded videos
List all manually uploaded videos. Videos that were implicitly uploaded using the
/jobs/from-url/ endpoint are not included in this list.
GET
/
api
/
videos
/
List manually uploaded videos
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
Was this page helpful?